<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [sellProduct](./bitburner.warehouseapi.sellproduct.md)

## WarehouseAPI.sellProduct() method

Set product sell data.

**Signature:**

```typescript
sellProduct(
    divisionName: string,
    city: CityName,
    productName: string,
    amt: string,
    price: string,
    all: boolean,
  ): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

divisionName


</td><td>

string


</td><td>

Name of the division


</td></tr>
<tr><td>

city


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

Name of the city


</td></tr>
<tr><td>

productName


</td><td>

string


</td><td>

Name of the product


</td></tr>
<tr><td>

amt


</td><td>

string


</td><td>

Amount to sell, can be "MAX"


</td></tr>
<tr><td>

price


</td><td>

string


</td><td>

Price to sell, can be "MP"


</td></tr>
<tr><td>

all


</td><td>

boolean


</td><td>

Set sell amount and price in all cities


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 20 GB

